# --------------------------------------------------------
#
# Table structure for table 'b_auf'
#
CREATE TABLE b_monstat ( id mediumint(8) unsigned DEFAULT '0' NOT NULL, monat tinyint(3) unsigned DEFAULT '0' NOT NULL, jahr smallint(5) unsigned DEFAULT '0' NOT NULL, pauf mediumint(8) unsigned DEFAULT '0' NOT NULL, pklick mediumint(8) unsigned DEFAULT '0' NOT NULL, KEY id_2 (id, monat, jahr)); 

DROP TABLE IF EXISTS b_auf;
CREATE TABLE b_auf (
   id int(10) unsigned DEFAULT '0' NOT NULL,
   url varchar(255) NOT NULL,
   ip varchar(100) NOT NULL,
   wann timestamp(14),
   auf_id int(10) unsigned DEFAULT '0' NOT NULL,
   auf_bannerid smallint(5) unsigned DEFAULT '0' NOT NULL,
   KEY id (id),
   KEY ip (ip)
);


# --------------------------------------------------------
#
# Table structure for table 'b_banner'
#

DROP TABLE IF EXISTS b_banner;
CREATE TABLE b_banner (
   id int(10) unsigned DEFAULT '0' NOT NULL,
   bannerid smallint(5) unsigned DEFAULT '0' NOT NULL,
   banner varchar(255) NOT NULL,
   pixel varchar(10) NOT NULL,
   kat varchar(75) NOT NULL,
   bauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   wann timestamp(14),
   KEY id (id, pixel)
);


# --------------------------------------------------------
#
# Table structure for table 'b_checkref'
#

DROP TABLE IF EXISTS b_checkref;
CREATE TABLE b_checkref (
   id int(10) unsigned DEFAULT '0' NOT NULL,
   newid int(10) unsigned DEFAULT '0' NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'b_klick'
#

DROP TABLE IF EXISTS b_klick;
CREATE TABLE b_klick (
   id int(10) unsigned DEFAULT '0' NOT NULL,
   ip varchar(100) NOT NULL,
   wann timestamp(14),
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 'b_referrer'
#

DROP TABLE IF EXISTS b_referrer;
CREATE TABLE b_referrer (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   newid mediumint(8) unsigned DEFAULT '0' NOT NULL,
   level tinyint(2) DEFAULT '0' NOT NULL,
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 'b_stat'
#

DROP TABLE IF EXISTS b_stat;
CREATE TABLE b_stat (
   id int(10) unsigned DEFAULT '0' NOT NULL,
   url varchar(255) NOT NULL,
   tag date DEFAULT '0000-00-00' NOT NULL,
   pauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   pklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   KEY id (id, tag)
);


# --------------------------------------------------------
#
# Table structure for table 'b_user'
#

DROP TABLE IF EXISTS b_user;
CREATE TABLE b_user (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   login varchar(40) NOT NULL,
   url varchar(255) DEFAULT '0' NOT NULL,
   mail varchar(100) DEFAULT '0' NOT NULL,
   pauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   pklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   referrer mediumint(8) unsigned DEFAULT '0' NOT NULL,
   werbung mediumint(8) unsigned DEFAULT '0' NOT NULL,
   credits float(6,4) DEFAULT '0.0000' NOT NULL,
   pass varchar(30) NOT NULL,
   kat varchar(75) NOT NULL,
   status tinyint(2) unsigned DEFAULT '0' NOT NULL,
   pixel varchar(10) NOT NULL,
   wann timestamp(14),
   PRIMARY KEY (id),
   KEY login2 (login),
   UNIQUE login (login)
);



# --------------------------------------------------------
#
# Table structure for table 'html'
#

DROP TABLE IF EXISTS html;
CREATE TABLE html (
   seite varchar(20) NOT NULL,
   html text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'kat'
#

DROP TABLE IF EXISTS kat;
CREATE TABLE kat (
   kat varchar(100) NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'kunden'
#

DROP TABLE IF EXISTS config;
CREATE TABLE config (
   pass varchar(35) NOT NULL,
   name varchar(150) NOT NULL,
   mail varchar(100) NOT NULL,
   url varchar(255),
   what tinyint(2) DEFAULT '0' NOT NULL,
   ratio float(10,2) DEFAULT '0.00' NOT NULL,
   referrer1 smallint(5) unsigned DEFAULT '0' NOT NULL,
   referrer2 smallint(5) unsigned DEFAULT '0' NOT NULL,
   referrer3 smallint(5) unsigned DEFAULT '0' NOT NULL,
   startcredits smallint(5) unsigned DEFAULT '0' NOT NULL,
   ipsperre mediumint(8) unsigned DEFAULT '0' NOT NULL,
   kat varchar(75) NOT NULL,
   werbung tinyint(1) unsigned DEFAULT '0' NOT NULL,
   aufrufe int(10) unsigned DEFAULT '0' NOT NULL,
   htmlcode text NOT NULL,
   last timestamp(14),
   anmeldenmail tinyint(1) unsigned DEFAULT '0' NOT NULL,
   freischalten tinyint(1) unsigned DEFAULT '0' NOT NULL
);


# --------------------------------------------------------

# --------------------------------------------------------
#
# Table structure for table 'pixel'
#

DROP TABLE IF EXISTS pixel;
CREATE TABLE pixel (
   pixel varchar(10) NOT NULL,
   std_banner varchar(255) NOT NULL
);



# --------------------------------------------------------
#
# Table structure for table 'templates'
#

DROP TABLE IF EXISTS templates;
CREATE TABLE templates (
   welches tinyint(2) unsigned DEFAULT '0' NOT NULL,
   html text NOT NULL
);


INSERT INTO config VALUES ( 'admin', 'Banner-Exchange', 'webmaster@domain.de', 'http://www.domain.de/', '0', '0.78', '750', '350', '150', '0', '1440', '0', '1', '1', '', '20010704183353', '1', '1');
INSERT INTO html VALUES ( 'anmeldenmail', 'Guten Tag!

Vielen Dank, dass Sie sich bei uns angemeldet haben. Wir bitten Sie den folgenden HTML-Code umgehend in die Homepage einzufgen. 

{htmlcode}

Zu Ihrer Erinnerung:
Loginname: {login}
Passwort: {pass}

mfg');

INSERT INTO templates VALUES ( '0', '<html><body> <b>{titel}</b><br><br> {post}
</body></html>');
INSERT INTO templates VALUES ( '1', '<html><body> <table hight=400><tr><td width=160> <p><a href=\"statistik.php?id={id}&vpass={vpass}\"  class=\"menu\">bersicht</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=stat\" class=\"menu\">Statistik</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=edit\" class=\"menu\">Daten ndern</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=banner\" class=\"menu\">Banner Verwaltung</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=spardose\" class=\"menu\">Spardose</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}
&ac=html\" class=\"menu\">HTML-Code</a></p> <p><a href=\"statistik.php?id={id}&vpass={vpass}&ac=del\" class=\"menu\">Mitgliedschaft<br> beenden</a></p> <p><br> </p> </td><td valign=\"_top\"><br><br><br><b>{titel}</b><br><br> {post}</td></tr></table> </body></html>');
INSERT INTO pixel VALUES ('468x60','http://www.domain.de/banner/std_468x60.gif');

